Bug 100715 - Machine Freezes with 2.4.20.* kernels after ~20 minutes
Machine Freezes with 2.4.20.* kernels after ~20 minutes
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
low Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 11:19 EDT by zan
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zan 2003-07-24 11:19:00 EDT
Description of problem:

Laptop freezes up if left alone for 10-30 minutes. 

I don't however have to do anything to trigger it. 
I.e. I can boot the computer, walk away for a while, come back and the machine 
is frozen.

I initially assumed it happened when the screensaver would kick in, 
but if I stand and watch I can see the system go into screensaver 
mode without siezing up.


Kernel-Dependence:
==================
I have five kernels installed in my system.
the problem happens with kernels
(2.4.20-19.8)
(2.4.20-18.8)
(2.4.20-13.8)       
but not with kernels
(2.4.18-27.8.0)
(2.4.18-14)
  








Version-Release number of selected component (if applicable):
kernel-2.4.20-13-8, 
kernel-2.4.20-18.8, 
kernel-2.4.20-19.8


How reproducible:
Every Time

Steps to Reproduce:
1. boot computer with a 2.4.20 kernel
2. log in (in graphical mode)
3. walk away for 20 minutes
   
    
Actual results:
Screen eventually goes black.
It is however, still on (emmiting dark light).
This appears identical to the "blank screensaver" that takes the screen if you 
leave it unattended in the graphical login window (before you log in).

The System will respond to nothing locally execpt the power button (not mouse, 
not keyboard, not cntl-alt-F?).
HOWEVER, I CAN ssh in from another machine.
Thus I can pull diagnostics off of the machine via the ssh connection,
if you request that I send any.



Expected results:
Normal opporation. 

Additional info:
Running RedHat Linux on Dell Inspiron 4100 Laptop, with 1 Gig of memory.

Software at least thinks it sees:
video card: ATI Radeon Mobility M6 (16 megabytes memory, driver:radeon)
monitor configured-thousands of colors (16-bit)
Comment 1 Bugzilla owner 2004-09-30 11:41:20 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.